/*************************************************************************
 *                                                                       *
 * (c) 2009 Wolf Software Limited <utils@wolf-software.net>              *
 * All Rights Reserved.                                                  *
 *                                                                       *
 * This program is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation, either version 3 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * You should have received a copy of the GNU General Public License     *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 *                                                                       *
 *************************************************************************/

/*********************************************************************//**
 @file utils.h
 @brief The library header file.
 *************************************************************************/

#include <dirent.h>

#ifndef __LIBUTILS_H__
#define __LIBUTILS_H__

/*********************************************************************//**
 @brief Current library version.
 *************************************************************************/

#define LIBUTILS_VERSION_STRING	"3.0.0"

/*********************************************************************//**
 @brief Current library major version.
 *************************************************************************/

#define LIBUTILS_MAJOR_VERSION	3

/*********************************************************************//**
 @brief Current library minor version.
 *************************************************************************/

#define LIBUTILS_MINOR_VERSION	0

/*********************************************************************//**
 @brief Current library micro version.
 *************************************************************************/

#define LIBUTILS_MICRO_VERSION	0

#ifdef  __cplusplus
extern "C" {
#endif

 __attribute__ ((format (printf, 1, 2))) char *process_va_list  ( const char *fmt, ... );

 __attribute__ ((format (printf, 1, 2))) int   does_file_exist  ( const char *fmt, ... );

void                                                        clean_scandir    ( struct dirent **name_list, int count );

#ifdef  __cplusplus
}
#endif

#endif /* __LIBUTILS_H__ */

/* EOF */
